Bug 1832 - service winbind does not start
: service winbind does not start
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 14:19 MSK by Denis Koryavov
Modified: 2014-09-19 11:18 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Koryavov 2013-03-25 14:19:08 MSK
Description of problem:

# systemctl | grep failed
cpupower.service          loaded failed failed        Configure CPU power related settings
winbind.service           loaded failed failed        LSB: Winbind naming service (winbindd)

# systemctl status winbind.service
winbind.service - LSB: Winbind naming service (winbindd)
	  Loaded: loaded (/etc/rc.d/init.d/winbind)
	  Active: failed (Result: exit-code) since Mon, 25 Mar 2013 13:32:12 +0400; 40min ago
	 Process: 3557 ExecStart=/etc/rc.d/init.d/winbind start (code=exited, status=1/FAILURE)
	  CGroup: name=systemd:/system/winbind.service

Mar 25 13:32:12 laptop systemd[1]: Starting LSB: Winbind naming service (winbindd)...
Mar 25 13:32:12 laptop winbind[3557]: Starting Winbind services: Winbind is not configured in /etc/samba/smb.conf, not starting
Mar 25 13:32:12 laptop systemd[1]: Failed to start LSB: Winbind naming service (winbindd).

# rpm -qf /etc/samba/smb.conf
samba-common-3.6.9-3-rosa2012.1.x86_64
Comment 1 Aleksandr Kazantcev 2013-03-25 17:53:48 MSK
See log:

"Winbind is not configured in /etc/samba/smb.conf, not starting

This is not error - we may disable winbind service, but users need it will be confused...
Comment 2 Alexander Burmashev 2013-03-25 18:21:34 MSK
Actually i think winbind can be setup as disabled by default and only enabling samba service will enable winbind, what do you think about it ?
Comment 3 Aleksandr Kazantcev 2013-03-25 18:26:58 MSK
winbind is sysvinit service, not systemd (my mistake).
Comment 4 Alexander Burmashev 2013-03-25 18:28:24 MSK
Maybe that is what should be fixed, moved to systemd.
Comment 5 Denis Koryavov 2013-03-25 18:47:00 MSK
Maybe we can provide some basic configuration for winbind by default?
Comment 6 Denis Silakov 2014-09-19 11:18:36 MSD
In Fresh R4, we have migrated to samba 4 and systemd scripts. Winbind starts and works fine with the default configuration.